global:
  scrape_interval: {{ prometheus.global.configs.scrape_interval }}s 
  evaluation_interval: {{ prometheus.global.configs.evaluation_interval }}s
alerting:
  alertmanagers:
    - static_configs:
        - targets:
            - {{alertmanager.hostname}}:{{alertmanager.port}}
rule_files:
  - "{{ prometheus.alert_rules.path }}*.yml"


scrape_configs:

{% for jobItem in prometheus.job.configs %}
  - job_name: "{{ jobItem.job_name }}"
    scrape_interval: {{ prometheus.global.configs.evaluation_interval }}s
    static_configs:
      - targets: [
      {% for targetItem in jobItem.targets %}
              '{{ targetItem }}',
      {% endfor %}
          ]
{% endfor %}
